package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.InterestsTable;
import org.apache.ibatis.annotations.Param;

/**
 * 商户权益记录Mapper接口
 * 
 * @author ruoyi
 * @date 2022-07-08
 */
public interface InterestsTableMapper 
{
    /**
     * 查询商户权益记录
     * 
     * @param id 商户权益记录主键
     * @return 商户权益记录
     */
    public InterestsTable selectInterestsTableById(Long id);

    /**
     * 查询商户权益记录列表
     * 
     * @param interestsTable 商户权益记录
     * @return 商户权益记录集合
     */
    public List<InterestsTable> selectInterestsTableList(InterestsTable interestsTable);

    /**
     * 新增商户权益记录
     * 
     * @param interestsTable 商户权益记录
     * @return 结果
     */
    public int insertInterestsTable(InterestsTable interestsTable);

    /**
     * 修改商户权益记录
     * 
     * @param interestsTable 商户权益记录
     * @return 结果
     */
    public int updateInterestsTable(InterestsTable interestsTable);

    /**
     * 删除商户权益记录
     * 
     * @param id 商户权益记录主键
     * @return 结果
     */
    public int deleteInterestsTableById(Long id);

    /**
     * 批量删除商户权益记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteInterestsTableByIds(Long[] ids);

    InterestsTable selectInterestsTable(@Param("businessId") Long businessId, @Param("policyId")Long policyId);
}
